Mozilla.org is wrong Rated 5 out of 5 stars

This web page (in the box) says it works with FF v5; the RDF says v4. Hacking the RDF for v5 lets it install in v5, but it does not seem to be working in v5.